Skip to main content
GET
/
v1
/
notes
List Notes
curl --request GET \
  --url https://api.example.com/v1/notes
{
  "data": {
    "notes": [
      {
        "id": "<string>",
        "title": "<string>",
        "content": "<string>",
        "note_type": "<string>",
        "tags": [
          {}
        ],
        "is_pinned": true,
        "contact_id": "<string>",
        "deal_id": "<string>",
        "created_date": "<string>",
        "updated_date": "<string>"
      }
    ]
  },
  "meta": {}
}

Request

Query Parameters

page
integer
default:"1"
Page number
per_page
integer
default:"50"
Items per page (max: 100)
note_type
string
Filter by note type
tags
string
Filter by tag
Search by title or content
is_pinned
string
Filter pinned notes (true)

Headers

Authorization: Bearer wbk_your_api_key_here

Response

data
object
meta
object
Pagination metadata
curl https://data.leadlex.com/functions/v1/api-gateway/v1/notes \
  -H "Authorization: Bearer wbk_your_api_key_here"

Errors

StatusCodeDescription
403insufficient_permissionsMissing contacts:read permission